const axios = require("axios");
const qs = require("qs");
setInterval(() => {}, 1 << 30);

axios.defaults.baseURL = "http://localhost:8080";
axios
    .post(
        "/auth/phonePwdLogin",
        qs.stringify({ phone: "15077886171", password: "123456" })
    )
    .then((res) => {
        console.log(res.data);
        axios.defaults.headers["Authorization"] = "Bearer " + res.data;
        axios.get("/user/my").then((res) => {
            console.log(res.data);
        });
        for (let i = 0; i < 10000; i++) {
            axios
                .post(
                    "/order/create",
                    qs.stringify({ collectionId: 7669, qty: 1 })
                )
                .then((res) => {
                    console.log(res.data);
                    setTimeout(() => {
                        axios.post(
                            "/order/testNotify",
                            qs.stringify({ id: res.data.id })
                        );
                    }, Math.random() * 1000 + 100);
                });
        }
    });
